#include <avr/io.h>
#include <util/delay.h>
#include "keyb.h"
#include "led.h"

const uint8_t PIN[] = {4, 6, 0, 1};

int main(void)
{
	ledInit();
	keybInit();
	DDRB |= _BV(DDB4);
	while(1) 
	{		
		ledClear();
		uint8_t match = 1;
		//wczytanie PINu
		for (uint8_t i = 0; i < 4; i++) {
			uint8_t input = getKey();
			if (input == 10) input = 0;
			if (input != PIN[i]) match = 0;
			ledDispSymbol(LED_MINUS, 3 - i);
		}
		//otwarcie zamka
		if (match) {
			PORTB |= _BV(PORTB4);
			_delay_ms(1000);
			PORTB &= ~_BV(PORTB4);
		}
	}
}
